/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._EipTWorkflowRequest;

public class EipTWorkflowRequest extends _EipTWorkflowRequest {

  public static final String CREATE_DATE_COLUMN = "CREATE_DATE";

  public static final String REQUEST_NAME_COLUMN = "REQUEST_NAME";

  /** Add 2010/08/16 チョウコウ Start */

  public static final String USER_ID_COLUMN = "USER_ID";

  public static final String OFF_CLASS_COLUMN = "OFF_CLASS";

  public static final String OFF_DATE_COLUMN = "OFF_DATE";

  public static final String OFF_DAY_CLASS_COLUMN = "OFF_DAY_CLASS";

  public static final String OFF_TIME_COLUMN = "OFF_TIME";

  public static final String OFF_CLASS_DATE_COLUMN = "OFF_CLASS_DATE";

  /** Add 2010/08/16 チョウコウ End */
  
  /** Add 2011/05/19 KOHAMA Start */
  public static final String OFF_DATE_START_PROPERTY = "offDateStart";  //休暇開始日
  
  public static final String OFF_DATE_END_PROPERTY = "offDateEnd";      //休暇終了日

  /** Add 2011/05/19 KOHAMA End   */


  public Integer getRequestId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(REQUEST_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setRequestId(String id) {
    setObjectId(new ObjectId("EipTWorkflowRequest", REQUEST_ID_PK_COLUMN,
        Integer.valueOf(id)));
  }
  
  /** Add 2011/05/19 KOHAMA Start */
  //休暇開始日
  public void setOffDateStart(java.util.Date offDateStart) {
    writeProperty("offDateStart", offDateStart);
  }
  public java.util.Date getOffDateStart() {
    return (java.util.Date)readProperty("offDateStart");
  }

  //休暇終了日
  public void setOffDateEnd(java.util.Date offDateEnd) {
    writeProperty("offDateEnd", offDateEnd);
  }
  public java.util.Date getOffDateEnd() {
    return (java.util.Date)readProperty("offDateEnd");
  }
  /** Add 2011/05/19 KOHAMA End   */

}
